Uploaded image for project: 'ONAP Operations Manager'
  1. ONAP Operations Manager
  2. OOM-1492

Upgrade Rancher to 1.6.19 with k8s 1.10.5 - to fix kubelet upgrade issue - actually go past 1.6.22 to 1.6.23 to get a jetty CVE fix

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Closed
    • Priority: Medium
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: Dublin Release
    • Component/s: None
    • Labels:

      Description

      Warning: If you are upgrading to this version from a version lower than v1.9.5-rancher1-3, it's possible to hit an issue with kubelet failing to start after the upgrade. To work around this issue, run the following commands on the hosts:

      mount -o rw,remount /sys/fs/cgroup
      mount --bind /sys/fs/cgroup/cpu,cpuacct/ /sys/fs/cgroup/cpuacct,cpu/
      mount --bind /sys/fs/cgroup/net_cls,net_prio/ /sys/fs/cgroup/net_prio,net_cls/
      This issue is resolved in Rancher v1.6.19 with Kubernetes v1.10.5.

      go directly past 1.6.22 to 1.6.23
      next version 1.6.23 fixes an internal jetty CVE - https://www.eclipse.org/jetty/documentation/9.4.x/security-reports.html
      https://forums.rancher.com/t/rancher-release-v1-6-23/11991

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              michaelobrien Michael O'Brien
              Reporter:
              michaelobrien Michael O'Brien
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: